classification
Title: improve sys.settrace and sys.setprofile documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, pablogsal, xiang.zhang
Priority: normal Keywords: easy, patch

Created on 2018-01-11 06:25 by xiang.zhang, last changed 2018-01-27 15:05 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5359 merged xiang.zhang, 2018-01-27 14:34
Messages (4)
msg309793 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-01-11 06:25
I propose to mention the behaviour that "if exception raised in tracefunc or profilefunc, the handler will be unset" in the documentation of sys.settrace and sys.setprofile. I encounter this behaviour and surprised by it since I can't get the info from the doc. Only by digging into the source code, I can find out why the profile messages suddenly disappear.
msg310261 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python triager) Date: 2018-01-18 23:59
There are some issues in the documentation for this function (slightly related) to this described here: https://bugs.python.org/issue17799. 

I can update the PR linked to that issue with this information as well.
msg310377 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-01-21 16:20
Hi Pablo, it would be nice. But for #17799, I don't know actually which part should be fixed, doc or code? I think it's better to consult gurus on python-dev mail list.
msg310863 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-01-27 15:04
New changeset 60da99b8e2f7bf497569ae4d6c218866575729bf by Xiang Zhang in branch 'master':
bpo-32532: Improve documentation of settrace and setprofile (#5359)
https://github.com/python/cpython/commit/60da99b8e2f7bf497569ae4d6c218866575729bf
History
Date User Action Args
2018-01-27 15:05:37xiang.zhangsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-01-27 15:04:49xiang.zhangsetmessages: + msg310863
2018-01-27 14:34:05xiang.zhangsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5204
2018-01-21 16:20:25xiang.zhangsetmessages: + msg310377
2018-01-18 23:59:20pablogsalsetnosy: + pablogsal

messages: + msg310261
versions: + Python 3.7
2018-01-11 06:25:56xiang.zhangcreate